package com.inspect.system.mapper;

import com.inspect.system.domain.SysPost;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysPostMapper {
    List<SysPost> selectPostList(SysPost sysPost);

    List<SysPost> selectPostAll();

    SysPost selectPostById(Long id);

    List<Long> selectPostListByUserId(Long userId);

    List<SysPost> selectPostsByUserName(String userName);

    int deletePostById(Long id);

    int deletePostByIds(Long[] ids);

    int updatePost(SysPost sysPost);

    int insertPost(SysPost sysPost);

    SysPost checkPostNameUnique(String name);

    SysPost checkPostCodeUnique(String code);
}
